#ifndef VMS_BDB_H
#define VMS_BDB_H

#include <descrip.h>

int db_open(struct dsc$descriptor *dbnam);
int db_sk_put(int *db, struct dsc$descriptor *key, char *outbuf, int *outbuflen);
int db_sk_get(int *db, struct dsc$descriptor *key, char *inbuf, int *maxinbuflen, int *inbuflen);
int db_sk_delete(int *db, struct dsc$descriptor *key);
int db_ik_put(int *db, int *key, char *outbuf, int *outbuflen );
int db_ik_get(int *db, int *key, char *inbuf, int *maxinbuflen, int *inbuflen);
int db_ik_delete(int *db, int *key);
int db_cursor_open(int *db);
int db_cursor_sk_find(int *it, struct dsc$descriptor *key, char *inbuf, int *maxinbuflen, int *inbuflen);
int db_cursor_sk_next(int *it, struct dsc$descriptor *key, short int *keylen, char *inbuf, int *maxinbuflen, int *inbuflen);
int db_cursor_ik_find(int *it, int *key, char *inbuf, int *maxinbuflen, int *inbuflen);
int db_cursor_ik_next(int *it, int *key, char *inbuf, int *maxinbuflen, int *inbuflen);
void db_close(int *db);

#endif
